'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = _interopDefault(require('react'));
var CodeMirror = _interopDefault(require('@uiw/react-codemirror'));
var langMarkdown = require('@codemirror/lang-markdown');
var language = require('@codemirror/language');
var languageData = require('@codemirror/language-data');
var view = require('@codemirror/view');

function MDEditor(_ref) {
  var value = _ref.value,
      _onChange = _ref.onChange;
  return React.createElement(CodeMirror, {
    value: value,
    extensions: [langMarkdown.markdown({
      base: langMarkdown.markdownLanguage,
      codeLanguages: languageData.languages,
      addKeymap: true
    }), language.indentOnInput(), view.highlightActiveLine(), view.highlightSpecialChars()],
    onChange: function onChange(doc) {
      return _onChange(doc);
    }
  });
}

exports.default = MDEditor;
//# sourceMappingURL=mdreact-editor.cjs.development.js.map
