import React from 'react';
import CodeMirror from '@uiw/react-codemirror';
import { markdown, markdownLanguage } from '@codemirror/lang-markdown';
import { indentOnInput } from '@codemirror/language';
import { languages } from '@codemirror/language-data';
import { highlightActiveLine, highlightSpecialChars } from '@codemirror/view';

function MDEditor(_ref) {
  var value = _ref.value,
      _onChange = _ref.onChange;
  return React.createElement(CodeMirror, {
    value: value,
    extensions: [markdown({
      base: markdownLanguage,
      codeLanguages: languages,
      addKeymap: true
    }), indentOnInput(), highlightActiveLine(), highlightSpecialChars()],
    onChange: function onChange(doc) {
      return _onChange(doc);
    }
  });
}

export default MDEditor;
//# sourceMappingURL=mdreact-editor.esm.js.map
